<div class="container  formulario" ui-view>
	<div class="row">
		<form name="formDadosUsuario">
			<div class="wrapper">
				<div class="container">
					<div class="wrapper">
						<div class="container">
							<div id="anuncio_lista_lateral_300x600">
								<img src="images/anuncio_lista_lateral_300x600.png">
							</div>
							<div id="anuncio_lista_lateral_160x600">
								<img src="images/anuncio_lista_lateral_160x600.png">
							</div>
							<div id="anuncio_lista_lateral_120x600">
								<img src="images/anuncio_lista_lateral_120x600.png">
							</div>
							<div class="boxBtnCanvas">
								<button type="button" class="btn btnLaranja visible-xs btnCanvas" data-toggle="offcanvas">
									<h3>
										<span class="icon-search"></span> Encontre um serviço
									</h3>
								</button>
							</div>
							<div class="row row-offcanvas row-offcanvas-left">
								<div class="col-md-4 sidebar-offcanvas">
									<div class="menuLateral">
										<h2>Encontre um serviço</h2>
										<div class="areaPesquisa">
											<div class="input-group">
												<input type="text" class="form-control" id="termo" ng-model="termo"> <span class="input-group-btn">
													<button class="btn btn-default btnAzul" type="button" ng-click="search({page:1, termo:termo})">
														<span class="icon-search"></span>
													</button>
												</span>
											</div>
										</div>

										<div class="panel-group" id="servicos_categorias" ng-init="carregarOcupacoes()" class="pointer">
											<div id="categorias_default" ng-if="!consulta.result.facets || consulta.result.facets.length == 0">

												<div class="panel pointer" ng-repeat="ocupacao in vm.ocupacoes">
													<div class="panel-heading" ng-click="carregarOcupacoes(ocupacao); ocupacao.mostrar = !ocupacao.mostrar">
														<a class="accordion-toggle" data-toggle="collapse" data-parent="#servicos_categorias"> <span class="{{ocupacao.icone}}"></span> {{ocupacao.descricao}} <i class="indicator   pull-right btnLaranja" ng-class="{'icon-minus': ocupacao.mostrar, 'icon-plus': !ocupacao.mostrar }"></i>
														</a>
													</div>
													<div id="categoria_nomecategoria1" class="panel-collapse ">
														<div class="panel-body" ng-show="ocupacao.ocupacoes && ocupacao.mostrar">
															<ul>
																<li ng-repeat="filho in ocupacao.ocupacoes" ng-click="search({page:1, termo:termo, ocupacao: filho.id})"><a> <span class="icon-chevron-right"></span> <strong>{{filho.descricao}}</strong>
																</a></li>
															</ul>
														</div>
													</div>
												</div>
											</div>
											<div id="categorias_facets" ng-if="consulta.result.facets && consulta.result.facets.length > 0">
												<div class="panel">
													<div class="panel-body">
														<ul>
															<li ng-repeat="facet in consulta.result.facets"><a>{{facet.value}} ({{facet.count}})</a></li>
														</ul>
													</div>
												</div>
											</div>
										</div>
									</div>
								</div>
								<div class="col-md-8">
									<div id="anuncio_lista_topo_728x90">
										<img src="images/anuncio_lista_topo_728x90.png">
									</div>
									<div class="listaServicos">
										<div class="topBar">


											<div class="topbarButtons">
												<div class="row">
												<div class="col-md-6 col-sm-6 pull-left">
														<div class="pull-left titulo-localizacao" ><b class="pointer" ng-click="vm.trocarUf()"> <i class="fa fa-map"> &nbsp;</i>Brasil ></b> {{vm.uf}}</div>
													</div>
												
													<div class="col-md-6 col-sm-6">
														<button type="button" id="abrirMapa" class="btn btn-lg btn-primary w-75 backAzulServant" ng-click="redirecionarCasoLogado('/usuario/procurar-servico')" >
															<span class="icon-alarm"></span>Solicitar Orçamentos/Propostas!
														</button>
													</div>
												</div>

												<div class="row">
													<div class="col-md-8 col-sm-8" ng-if="consulta.result.termo">
														<p>
															 <span>{{consulta.result.total}}</span> serviços encontrados para o termo <span> "{{consulta.result.termo}}"</span>
														</p>
													</div>

													<div class="col-md-4 col-sm-4">
														<div class="topbarButtons">
															<button type="button" id="abrirMapa" class="btnBranco" ng-click="spatialSearch('click')" ng-show="consulta.result.termo">
																<span class="icon-map-pin-fill"></span> Ver próximos a mim
															</button>
														</div>
													</div>
												</div>
											</div>
											<ul>
												<li ng-repeat="anuncio in consulta.result.content"><a ui-sref="consulta.anuncio({id: anuncio.id})">
														<div class="infoUsuario">
															<div class="img-container">
																<img src="data:image/png;base64, {{anuncio.thumbnail}}">
															</div>
															<div class="statusUsuario">
																<div class="stars">
																	<span class="icon-star4 starOn"></span> <span class="icon-star4 starOn"></span> <span class="icon-star4 starOn"></span> <span class="icon-star4 starOn"></span> <span class="icon-star4"></span>
																</div>
																<h3>{{anuncio.titulo}}</h3>
																<p>{{anuncio.ocupacao}}</p>
															</div>
														</div>
														<div class="numeroServicos">
															<span class="icone icon-briefcase3"> <span class="btnLaranja">137</span>
															</span>
														</div>
												</a></li>
											</ul>
											<div ng-if="consulta.result.total">
												<paging-control paging-size="10" noofitem="10" total-items="consulta.result.total" pesquisar="search"></paging-control>
											</div>
										</div>
									</div>
								</div>
							</div>
						</div>
					</div>
				</div>
		</form>
	</div>

	<div id="servicosMapa" ng-class="{mapaAberto: util.abrirMapa}" ng-if="util.abrirMapa">
		<div class="row">

			<div class="col-lg-3 col-md-4 col-sm-12 mapPanel">
				<div class="sideHeader">
					<img src="images/servantweb-logomarca-branca.png" alt="servantweb-logomarca-branca">
					<button type="button" class="btn btnBranco" id="fecharMapa" ng-click="util.abrirMapa = false">Fechar mapa</button>
				</div>

				<div class="mapConfig" ng-if="soliciarOrcamento">
					<h3>Raio para orçamento {{util.radiusMap /1000}} Km</h3>
					<servant-slider id="slider" max="10000" min="1000" ng-model="util.radiusMap"></servant-slider>
					<h3>Todos dentro do raio receberam seu pedido de orçamento</h3>
					<img class="anuncio_lista_lateral_300x600" src="images/anuncio_lista_lateral_300x600.png">
				</div>

				<div>
					<button type="button" class="btnAzul" id="solicitarOrcamento" ng-click="soliciarOrcamento = !soliciarOrcamento">{{soliciarOrcamento ? 'Cancelar' : 'Solicitar Orçamento'}}</button>
					<button type="button" class="btnLaranja" id="fazerProposta" ng-if="soliciarOrcamento" data-toggle="modal" data-target="#modalSolicitarOrcamentoBroadcast">Fazer Proposta</button>
				</div>

			</div>

			<div map-lazy-load="https://maps.google.com/maps/api/js?key=AIzaSyDPz1Rk7ZtKFBc8OivBUfIMJYcdtR1kg6E">
				<ng-map zoom="13" center="current" on-click="selecionarLocal()" on-center-changed="spatialSearch()" class="col-lg-9 col-md-8 col-sm-12 mapView"> <custom-marker ng-repeat="pos in consulta.geoResult" position="{{pos.latitude}}, {{pos.longitude}}">
				<div ui-sref="consulta.anuncio({id: pos.id})">
					<img width="30" src="data:image/png;base64, {{pos.thumbnail}}" align="left" /> {{pos.titulo}} <br /> {{pos.ocupacao}} <br />
				</div>
				</custom-marker> <shape id="circle" name="circle" centered="true" ng-if="soliciarOrcamento" stroke-color='#FF0000' stroke-opacity="0.8" stroke-weight="1" on-radius-changed="radiusChanged()" center="current-position" radius="{{util.radiusMap}} " editable="true"></shape> </ng-map>
			</div>
		</div>
	</div>
	<div class="modal fade fecharModal" id="modalSolicitarOrcamentoBroadcast">
		<div class="modal-dialog modal-sm" role="document">
			<div class="modal-content">
				<div class="modal-header">
					<button type="button" class="close" data-dismiss="modal" aria-label="Close">
						<span aria-hidden="true">&times;</span>
					</button>
					<h3>Solicitar Orçamento</h3>
				</div>
				<div class="modal-body">

					<div class="form-group">
						<textarea type="text" class="form-control" ng-model="soliciatacao"></textarea>
					</div>
					<button type="button" class="btnBranco btnEntrar" ng-click="solicitarOrcamento(soliciatacao)">ENVIAR</button>
				</div>
			</div>
		</div>
	</div>
</div>
